module libav.libavutil.intfloat_readwrite;
/*
 * copyright (c) 2005 Michael Niedermayer <michaelni@gmx.at>*
 
 * This file is part of Libav.*
 
 * Libav is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.*
 
 * Libav is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.*
 
 * You should have received a copy of the GNU Lesser General Public
 * License along with Libav; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

import libav.libavutil.attributes;

/* IEEE 80 bits extended float */
struct AVExtFloat  {
    ubyte[2] exponent;
    ubyte[8] mantissa;
}

double av_int2dbl(long v);
float av_int2flt(int v);
double av_ext2dbl(AVExtFloat ext);
long av_dbl2int(double d);
int av_flt2int(float d);
AVExtFloat av_dbl2ext(double d);

/* AVUTIL_INTFLOAT_READWRITE_H */
